ARGETI(3NCARG)

NAME
ARGETI - Retrieves the integer value of an Areas parameter.

SYNOPSIS
CALL ARGETI (PNAM,IVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_argeti (char *pnam, int *ival)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) - The name of the parameter that you want to retrieve. The character string can be of any length, but only the first two characters of it will be examined.

IVAL
    (an output variable of type INTEGER) - An integer variable to receive the desired parameter value. If the internal parameter is of type INTEGER and has the value "i", IVAL will be given the value "i"; if the internal parameter is of type REAL and has the value "r", IVAL will be given the value "INT(r)".

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Areas parameters. For a complete list of parameters available in this utility, see the areas_params man page.

ACCESS
To use ARGETI or c_argeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the areas man page for a description of all Areas error messages and/or informational messages.

SEE ALSO
Online: areas, areas_params, ardbpa, ardrln, aredam, argetr, argtai, arinam, armvam, arpram, arscam, arseti, arsetr, ncarg_cbind

Hardcopy: NCAR Graphics Contouring and Mapping Tutorial

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.